package com.ruoyi.dxp.service.impl;

import com.ruoyi.dxp.domain.CallLogParam;
import com.ruoyi.dxp.mapper.CallLogParamMapper;
import com.ruoyi.dxp.service.ICallLogParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 接口监控参数Service业务层处理
 * 
 * @author jy
 * @date 2022-11-06
 */
@Service
public class CallLogParamServiceImpl implements ICallLogParamService 
{
    @Autowired
    private CallLogParamMapper callLogParamMapper;

    /**
     * 查询接口监控参数
     * 
     * @param id 接口监控参数主键
     * @return 接口监控参数
     */
    @Override
    public CallLogParam selectCallLogParamById(Long id)
    {
        return callLogParamMapper.selectCallLogParamById(id);
    }

    /**
     * 查询接口监控参数列表
     * 
     * @param callLogParam 接口监控参数
     * @return 接口监控参数
     */
    @Override
    public List<CallLogParam> selectCallLogParamList(CallLogParam callLogParam)
    {
        return callLogParamMapper.selectCallLogParamList(callLogParam);
    }

    /**
     * 新增接口监控参数
     * 
     * @param callLogParam 接口监控参数
     * @return 结果
     */
    @Override
    public int insertCallLogParam(CallLogParam callLogParam)
    {
        return callLogParamMapper.insertCallLogParam(callLogParam);
    }

    /**
     * 修改接口监控参数
     * 
     * @param callLogParam 接口监控参数
     * @return 结果
     */
    @Override
    public int updateCallLogParam(CallLogParam callLogParam)
    {
        return callLogParamMapper.updateCallLogParam(callLogParam);
    }

    /**
     * 批量删除接口监控参数
     * 
     * @param ids 需要删除的接口监控参数主键
     * @return 结果
     */
    @Override
    public int deleteCallLogParamByIds(Long[] ids)
    {
        return callLogParamMapper.deleteCallLogParamByIds(ids);
    }

    /**
     * 删除接口监控参数信息
     * 
     * @param id 接口监控参数主键
     * @return 结果
     */
    @Override
    public int deleteCallLogParamById(Long id)
    {
        return callLogParamMapper.deleteCallLogParamById(id);
    }
}
